%global __brp_check_rpaths %{nil}
%global packname  SynthTools
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          3%{?dist}%{?buildtag}
Summary:          Tools and Tests for Experiments with Partially Synthetic DataSets

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-Rdpack 
BuildRequires:    R-utils 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-Rdpack 
Requires:         R-utils 

%description
A set of functions to support experimentation in the utility of partially
synthetic data sets.  All functions compare an observed data set to one or
a set of partially synthetic data sets derived from the observed data to
(1) check that data sets have identical attributes, (2) calculate overall
and specific variable perturbation rates, (3) check for potential logical
inconsistencies, and (4) calculate confidence intervals and standard
errors of desired variables in multiple imputed data sets. Confidence
interval and standard error formulas have options for either synthetic
data sets or multiple imputed data sets. For more information on the
formulas and methods used, see Reiter & Raghunathan (2007)
<doi:10.1198/016214507000000932>.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%{rlibdir}/%{packname}
